# TCLAP::ValueLikeTrait Struct Reference

A class can inherit from this object to make it have value like traits. More...

`#include <ArgTraits.h>`

List of all members.

## Public Types
typedef ValueLike | ValueCategory
## Public Member Functions
virtual | ~ValueLikeTrait ()

## Detailed Description

A class can inherit from this object to make it have value like traits.

This is a compile time thing and does not add any overhead to the inherenting class.

Definition at line 67 of file ArgTraits.h.

## Member Typedef Documentation

typedef ValueLike TCLAP::ValueLikeTrait::ValueCategory

Definition at line 68 of file ArgTraits.h.

## Constructor & Destructor Documentation

virtual TCLAP::ValueLikeTrait::~ValueLikeTrait | ( |  | ) | `[inline, virtual]`

Definition at line 69 of file ArgTraits.h.

The documentation for this struct was generated from the following file:

- ArgTraits.h